| GET | /RestApi/sitefinity/scheduling/scheduled-tasks |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Skip | query | int | No | |
| Take | query | int | No | |
| SearchTerm | query | string | No | |
| OrderBy | query | OrderByType | No | |
| FilterBy | query | FilterByType | No |
| ScheduledFor | |
| LastExecutionDate | |
| Status | |
| NameAsc | |
| NameDesc |
| All | |
| Pending | |
| Started | |
| Stopped | |
| Failed | |
| Recurring |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Items | form | IEnumerable<ScheduledTaskViewModel> | No | |
| TotalCount | form | int | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| TaskId | form | Guid | No | |
| Name | form | string | No | |
| Title | form | string | No | |
| Status | form | string | No | |
| ErrorMessage | form | string | No | |
| RecurringInterval | form | string | No | |
| ScheduledForDate | form | DateTime | No | |
| LastExecutionTime | form | DateTime? | No | |
| Hash | form | string | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/sitefinity/scheduling/scheduled-tasks HTTP/1.1 Host: www.imglobal.com Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{"TotalCount":0}